/*===========================================================================*/
/*  p-contact  */
/*===========================================================================*/
.p-contact {
    padding-top: 115px;
    padding-bottom: 100px;
}

.p-contact__inner {
    max-width: 864px;
    margin: 0 auto;
}

.p-contact__contents--table {
    display: flex;
    flex-direction: column;
}

.p-contact__contents--table dl {
    padding-top: 25px;
    padding-bottom: 25px;
    border-bottom: solid 1px #C2C2C2;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.p-contact__contents--table dl:nth-of-type(1) {
    padding-top: 0;
}

.p-contact__contents--table dl dt {
    font-size: 16px;
    font-weight: 700;
    line-height: 1.2;
}

.p-contact__contents--table dl dd {
    max-width: 592px;
    width: 100%;
}

.p-contact__contents--table dl dd .wpcf7-form-control-wrap {
    width: 100%;
}

.p-contact__contents--table dl dd .wpcf7-form-control-wrap input {
    padding: 24px 25px 23px;
    background-color: #fff;
    width: 100%;
    border-radius: 4px;
}

.wpcf7-form-control.wpcf7-text {
    font-size: 16px;
    font-weight: 500;
    line-height: 1.2;
}

.wpcf7-form-control.wpcf7-text::placeholder {
    color: #C5C5C5;
}

.wpcf7-form-control.wpcf7-text:focus,
.wpcf7-form-control.wpcf7-textarea:focus,
.wpcf7-form-control.wpcf7-select:focus {
    outline: none !important;
    box-shadow: none !important;
    border: 1px solid #CC0700 !important;
}

.p-contact__contents--table dl dd.--select {
    position: relative;
}

.p-contact__contents--table dl dd.--select .wpcf7-form-control-wrap {
    width: 100%;
}

.p-contact__contents--table dl dd.--select .wpcf7-form-control-wrap select {
    border-radius: 4px;
    border: 1px solid #C2C2C2;
    background: #FFF;
    padding: 24px 25px 23px;
    font-size: 16px;
    font-weight: 500;
    line-height: 1.2;
    border-radius: 4px;
    width: 100%;
}

.p-contact__contents--table dl dd.--select::before {
    background: url('../img/common/select-arrow.webp') no-repeat center center/contain;
    content: '';
    height: 10px;
    right: 17px;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 9px;
    pointer-events: none;
    z-index: 2;
}
.p-contact__contents--table dl dd.--select::after {
    background-color: #C2C2C2;
    content: '';
    height: 30px;
    right: 45px;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 1px;
    pointer-events: none;
    z-index: 2;
}

.p-contact__contents--privacy .wpcf7-list-item-label {
    text-align: center;
}

.p-contact__contents--privacy {
    margin: 40px auto;
}

.p-contact__contents--privacy-txt {
    font-size: 16px;
    font-weight: 700;
    line-height: 1.2;
    text-align: center;
}

.p-contact__contents--privacy-txt a {
    color: #CC0700;
    position: relative;
}

.p-contact__contents--privacy-txt a::before {
    background-color: #CC0700;
    content: '';
    height: 1px;
    left: 0;
    position: absolute;
    bottom: -1px;
    width: 100%;
}

.p-contact__contents--btn {
    margin: 40px auto 0;
    width: 242px;
    border-radius: 5px;
    overflow: hidden;
}

.p-contact__btn {
    display: flex;
    width: 100%;
    background-color: #CC0700;
    color: #FFF;
    font-size: 18px;
    font-weight: 700;
    line-height: 1.6; 
    padding: 15px 113px 16px 60px;
    position: relative;
}

.p-contact__btn--arrow {
    width: 48px;
    height: 48px;
}

.h-arrow-wrap.--contact {
    width: 48px;
    height: 48px;
}

.h-arrow-wrap.--contact .h-arrow svg {
    width: 15px;
    height: 14px;
}

.p-contact__btn input {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    opacity: 0;
}

.p-contact__btn--txt .h-txt-line::before {
    background-color: #fff;
}

@media screen and (max-width: 900px) {
    .p-contact {
        padding-top: 40px;
        padding-bottom: 50px;
    }

    .p-contact__contents--table {
        gap: 25px;
    }

    .p-contact__contents--table dl {
        padding-top: 0;
        padding-bottom: 0;
        border-bottom: solid 0px #C2C2C2;
        flex-direction: column;
        align-items: flex-start;
    }

    .p-contact__contents--table dl dt {
        font-size: 14px;
    }

    .p-contact__contents--table dl dd {
        margin-top: 12px;
    }

    .p-contact__contents--table dl dd .wpcf7-form-control-wrap input {
        padding: 16px 20px 17px;
    }

    .wpcf7-form-control.wpcf7-text {
        font-size: 14px;
    }

    .p-contact__contents--table dl dd.--select .wpcf7-form-control-wrap select {
        padding: 16px 20px 17px;
        font-size: 14px;
    }

    .p-contact__contents--table dl dd.--select::before {
        height: 8px;
        right: 14px;
        width: 8px;
    }
    .p-contact__contents--table dl dd.--select::after {
        height: 24px;
        right: 35px;
    }

    .p-contact__contents--privacy .wpcf7-list-item-label {
        text-align: center;
    }

    .p-contact__contents--privacy-txt {
        font-size: 14px;
    }

    .p-contact__contents--btn {
        width: 225px;
    }

    .p-contact__btn {
        font-size: 15px;
        padding: 15px 108px 17px 59px;
        position: relative;
    }

    .p-contact__btn--arrow {
        width: 44px;
        height: 44px;
    }

    .h-arrow-wrap.--contact {
        width: 44px;
        height: 44px;
    }

    .h-arrow-wrap.--contact .h-arrow svg {
        width: 12px;
        height: 12px;
    }
}

.wpcf7-spinner {
    display: none !important;
}